#! /bin/sh /usr/share/dpatch/dpatch-run
## 01-disable-unjar.dpatch by  <fourmond@debian.org>
##
## DP: We don't ship the external prebuilt jars, so we don't need
## DP: to unpack them. Also disable tests, as their source isn't provided.

@DPATCH@
Index: statcvs-0.7.0.dfsg/build.xml
===================================================================
--- statcvs-0.7.0.dfsg.orig/build.xml	2009-05-09 20:33:32.000000000 +0200
+++ statcvs-0.7.0.dfsg/build.xml	2010-03-06 22:49:44.479656166 +0100
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
-<project name="statcvs" default="all" basedir=".">
+<project name="statcvs" default="jar" basedir=".">
   <property file="project.properties" />
   <property name="project" value="statcvs" />
   <property name="project.path" value="net/sf/statcvs" />
@@ -149,11 +149,11 @@
     </java>
   </target>
   <target name="release" depends="clean,jar,javadoc,zip,zip.source"/>
-  <target name="jar" depends="test">
+  <target name="jar" depends="compile,copyfiles">
     <!-- Creates an executable jar file for the project -->
-    <unjar src="${lib}/${jfreechart.jar}" dest="${build}" />
-    <unjar src="${lib}/${jcommon.jar}" dest="${build}" />
-    <unjar src="${lib}/jdom.jar" dest="${build}" />
+<!--     <unjar src="${lib}/${jfreechart.jar}" dest="${build}" /> -->
+<!--     <unjar src="${lib}/${jcommon.jar}" dest="${build}" /> -->
+<!--     <unjar src="${lib}/jdom.jar" dest="${build}" /> -->
     <mkdir dir="${dist}" />
     <jar jarfile="${dist}/${project.jar}" basedir="${build}">
       <manifest>
